Package ru.bitel.bgbilling.modules.voiceip.server.bean

# Class LoginTypeManager

java.lang.Object
ru.bitel.bgbilling.modules.voiceip.server.bean.LoginTypeManager

public class LoginTypeManager extends Object
Менеджер типов логинов

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoginTypeManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteType(int id)`
  Удаляет тип логина по его коду
  `Map<Integer,List<String[]>>`
  `getAttributesMap()`
  Возвращает карту атрибутов типов логина
  `LoginType`
  `getTypeById(int id)`
  Возврвщает тип логина по его коду
  `List<LoginType>`
  `getTypeList()`
  Возвращает список типов логинов
  `Map<Integer,LoginType>`
  `getTypeMap()`
  Возвращает карту код-тип логина
  `void`
  `updateType(LoginType type)`
  Обновляет или добавляет тип логина

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LoginTypeManager

    public LoginTypeManager(Connection con, int mid)

- ## Method Details

  - ### getTypeMap

    public Map<Integer,LoginType> getTypeMap()
    Возвращает карту код-тип логина
    Returns:
      карта типов логинов

  - ### getTypeList

    public List<LoginType> getTypeList()
    Возвращает список типов логинов
    Returns:
      список типов логинов

  - ### updateType

    public void updateType(LoginType type)
    Обновляет или добавляет тип логина
    Parameters:
      `type` - тип логина

  - ### deleteType

    public void deleteType(int id)
    Удаляет тип логина по его коду
    Parameters:
      `id` - код удаляемого типа логина

  - ### getTypeById

    public LoginType getTypeById(int id)
    Возврвщает тип логина по его коду
    Parameters:
      `id` - код типа логина
    Returns:
      тип логина

  - ### getAttributesMap

    public Map<Integer,List<String[]>> getAttributesMap()
    Возвращает карту атрибутов типов логина
    Returns:
      карта (код-аттрибуты)